Skip to main content
GET
/
storage
/
v4
/
locations
Python
import os
from gcore import Gcore

client = Gcore(
    api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
)
page = client.storage.locations.list()
page = page.results[0]
print(page.address)
{
  "count": 5,
  "results": [
    {
      "address": "luxembourg-2.cloud.storage.com",
      "name": "luxembourg-2",
      "technical_name": "s-ed1",
      "title": "Luxembourg",
      "type": "s3_compatible"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

offset
integer<uint64>

Number of records to skip before beginning to return results

Required range: x >= 0
limit
integer<uint64>
default:10

Max number of records in response

Required range: 1 <= x <= 1000
order_by
string
default:created_at.desc

Response

LocationsListEndpointResV4

count
integer<int64>
required

Total number of locations matching the filter

Example:

5

results
LocationV4 Data center location where new storages can be created. Use name to create, address to connect. · object[]
required

List of available locations